Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer token via Authorization header

Query Parameters

state
enum<string>[] | null
Available options:
creating,
assigned,
ready,
rebooting,
migrating,
resetting,
terminated,
maintenance,
stopped,
unknown
type
enum<string>

Canonical device type. Retired dedicated_* aliases are no longer accepted. Availability depends on the deployment.

Available options:
android_cloud_phone,
android_physical_phone,
ios_stealth_phone,
android_emulator,
ios_simulator,
device_slot
country
string
name
string
providerId
string
mine
boolean
default:false

When true, only return devices created by the calling user.

createdBy
string

Filter to devices created by this user id. Mutually exclusive with mine.

page
integer<int64>
default:1
pageSize
integer<int64>
default:20
orderBy
enum<string>
default:createdAt
Available options:
id,
createdAt,
updatedAt,
assignedAt
orderByDirection
enum<string>
default:desc
Available options:
asc,
desc

Response

OK

items
object[] | null
required
pagination
object
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/ResponseDeviceInfo.json"